> For the complete documentation index, see [llms.txt](https://docs-v4.venus.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs-v4.venus.io/technical-reference/reference-core-pool/vbnbadmin.md).

# VBNBAdmin

## VBNBAdmin

This contract is the "admin" of the vBNB market, reducing the reserves of the market, sending them to the `ProtocolShareReserve` contract, and allowing the executions of the rest of the privileged functions in the vBNB contract (after checking if the sender has the required permissions).

## Solidity API

#### vBNB

address of vBNB

```solidity
contract VTokenInterface vBNB
```

***

#### WBNB

address of WBNB contract

```solidity
contract IWBNB WBNB
```

***

#### initialize

Used to initialize non-immutable variables

```solidity
function initialize(contract IProtocolShareReserve _protocolShareReserve, address accessControlManager) external
```

***

#### setProtocolShareReserve

PSR setter.

```solidity
function setProtocolShareReserve(contract IProtocolShareReserve protocolShareReserve_) external
```

**Parameters**

| Name                   | Type                           | Description                 |
| ---------------------- | ------------------------------ | --------------------------- |
| protocolShareReserve\_ | contract IProtocolShareReserve | Address of the PSR contract |

**📅 Events**

* Emits ProtocolShareReserveUpdated event.

**⛔️ Access Requirements**

* Only owner (Governance)

***

#### reduceReserves

Reduce reserves of vBNB, wrap them and send them to the PSR contract

```solidity
function reduceReserves(uint256 reduceAmount) external
```

**Parameters**

| Name         | Type    | Description                  |
| ------------ | ------- | ---------------------------- |
| reduceAmount | uint256 | amount of reserves to reduce |

**📅 Events**

* Emits ReservesReduced event.

***

#### setInterestRateModel

Sets the interest rate model of the vBNB contract

```solidity
function setInterestRateModel(address newInterestRateModel) public returns (uint256)
```

**Parameters**

| Name                 | Type    | Description                            |
| -------------------- | ------- | -------------------------------------- |
| newInterestRateModel | address | Address of the new interest rate model |

**⛔️ Access Requirements**

* Controlled by ACM

***

#### receive

Invoked when BNB is sent to this contract

```solidity
receive() external payable
```

**⛔️ Access Requirements**

* Only vBNB is considered a valid sender

***

#### fallback

Invoked when called function does not exist in the contract. The function will be executed in the vBNB contract.

```solidity
fallback(bytes data) external payable returns (bytes)
```

**⛔️ Access Requirements**

* Only owner (Governance)

***


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs-v4.venus.io/technical-reference/reference-core-pool/vbnbadmin.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
